Bug 844548 - [abrt] rhythmbox-2.97-1.fc17: g_object_get: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: g_object_get: Process /usr/bin/rhythmbox was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:5505f963c5bf65bd5ee7ccc4937...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 23:44 EDT by Torsten Ebbecke
Modified: 2013-07-31 16:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.65 KB, text/plain)
2012-07-30 23:45 EDT, Torsten Ebbecke
no flags Details
File: maps (95.59 KB, text/plain)
2012-07-30 23:45 EDT, Torsten Ebbecke
no flags Details
File: dso_list (22.19 KB, text/plain)
2012-07-30 23:45 EDT, Torsten Ebbecke
no flags Details
File: build_ids (7.93 KB, text/plain)
2012-07-30 23:45 EDT, Torsten Ebbecke
no flags Details

  None (edit)
Description Torsten Ebbecke 2012-07-30 23:44:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_object_get
executable:     /usr/bin/rhythmbox
kernel:         3.4.6-2.fc17.x86_64
pid:            15602
pwd:            /home/binwang
remote_result:  NOTFOUND
time:           mar 31 jul 2012 04:42:34 WEST
uid:            1000
username:       binwang

backtrace:      Text file, 38553 bytes
build_ids:      Text file, 8118 bytes
dso_list:       Text file, 22727 bytes
maps:           Text file, 97889 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/binwang/1

core_backtrace:
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x173fb g_object_get libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xb02b8 - librhythmbox-core.so.6 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x29a40d - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x299802 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x29d5a1 gtk_ui_manager_ensure_update libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x29d5c9 - libgtk-3.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xb0505 - librhythmbox-core.so.6 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x14025 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x158fb g_object_notify libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x4fe12 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x56b22 - librhythmbox-core.so.6 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97912 g_application_register libgio-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x57507 - librhythmbox-core.so.6 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97ec8 g_application_run libgio-2.0.so.0 -
:a87bd1401d9463e0bf391e3f95653ed1121ee807 0x115f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=inwin
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=dfabce26677ef98dd45f4b560000000e-1343643681.24777-1676110300
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=binwang
:USERNAME=binwang
:MAIL=/var/spool/mail/binwang
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/binwang/.local/bin:/home/binwang/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/binwang
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/binwang
:SHLVL=1
:LOGNAME=binwang
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-idJ6wPZzJu,guid=8e50af919f4a796ff10290ad00000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/binwang
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-binwang-WJy1Iq/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1056,unix/unix:/tmp/.ICE-unix/1056
:GNOME_KEYRING_CONTROL=/run/user/binwang/keyring-o0pTFg
:SSH_AUTH_SOCK=/run/user/binwang/keyring-o0pTFg/ssh
:GPG_AGENT_INFO=/run/user/binwang/keyring-o0pTFg/gpg:0:1
:LC_TIME=es_ES.utf8
:LC_NUMERIC=es_ES.utf8
:LC_MONETARY=es_ES.utf8
:LC_MEASUREMENT=es_ES.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=15602
:DESKTOP_STARTUP_ID=gnome-shell-1320-inwin-rhythmbox-10_TIME62503610

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47086                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47086                47086                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/binwang/.xsession-errors
:pos:	56296
:flags:	0102002
:2:/home/binwang/.xsession-errors
:pos:	56296
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[7135963]
:pos:	0
:flags:	02000002
:5:socket:[7135964]
:pos:	0
:flags:	02004002
:6:socket:[7135970]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[7135994]
:pos:	0
:flags:	02004002
:9:socket:[7138684]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[7135976]
:pos:	0
:flags:	02004002
:13:/home/binwang/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[7135980]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/tmp/ffiVHjJJN (deleted)
:pos:	0
:flags:	0100002
:17:socket:[7135995]
:pos:	0
:flags:	02004002
:18:socket:[7135996]
:pos:	0
:flags:	02004002
:19:/dev/radio0
:pos:	0
:flags:	0100000

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 3a11eb1a-3924-4f0f-bd8c-706e98ccbf73
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4419.77
:CPU-Anbieter: AuthenticAMD
:CPU-Modell: AMD Athlon(tm) II X4 600e Processor
:CPU-Stepping: 2
:CPU Familie: 16
:CPU-Modellnummer: 5
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 2200
:Systemspeicher: 5971
:System-Swap: 3999
:Anbieter: Gigabyte Technology Co., Ltd.
:System: M61PM-S2 
:Form-Faktor: Desktop
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(4318:1004:5208:20482) pci, pata_amd, STORAGE, MCP61 IDE
:(4318:1007:5208:57344) pci, forcedeth, BRIDGE, MCP61 Ethernet
:(4318:1002:5208:20481) pci, None, RAM, MCP61 Memory Controller
:(4318:1013:5208:3089) pci, None, RAM, MCP61 Memory Controller
:(4318:1003:5208:3089) pci, nForce2_smbus, SERIAL, MCP61 SMBus
:(4318:992:5208:3089) pci, None, PCI/ISA, MCP61 LPC Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4318:2592:6618:4402) pci, nouveau, VIDEO, GT216 [GeForce GT 220]
:(4318:3042:6618:4402) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(5772:43:5772:12449) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4318:1009:5208:20484) pci, ohci_hcd, USB, MCP61 USB Controller
:(4318:1010:5208:20484) pci, ehci_hcd, USB, MCP61 USB Controller
:(4318:1014:5208:45058) pci, sata_nv, STORAGE, MCP61 SATA Controller
:(4318:1014:5208:45058) pci, sata_nv, STORAGE, MCP61 SATA Controller
:(4318:1000:4318:0) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
:(5361:34820:112:26882) pci, None, MULTIMEDIA, WinTV HVR-4000-HD
:(5361:34818:112:26882) pci, cx88-mpeg driver manager, MULTIMEDIA, WinTV HVR-4000-HD
:(5361:34833:112:26882) pci, cx88_audio, MULTIMEDIA, WinTV HVR-4000-HD
:(5361:34816:112:26882) pci, cx8800, MULTIMEDIA_VIDEO, WinTV HVR-4000-HD
:(4318:1011:5208:623) pci, None, PCI/PCI, MCP61 PCI bridge
:(4318:1001:4318:0) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
:(4318:1008:5208:40962) pci, snd_hda_intel, MULTIMEDIA, MCP61 High Definition Audio
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5103605 1858647 1602647 1281120 970861 970861
:/dev/sda3 /home ext4 4096 4096 149972400 38133893 30626975 37535744 37445854 37445854
:

var_log_messages:
:Jul 31 04:42:34 inwin kernel: [62465.849211] rhythmbox[15602]: segfault at 110004 ip 000000315f6173fb sp 00007fffc5629730 error 4 in libgobject-2.0.so.0.3200.4[315f600000+4b000]
:Jul 31 04:42:35 inwin abrt[15614]: Saved core dump of pid 15602 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-07-31-04:42:34-15602 (79220736 bytes)

xsession_errors:
:(rhythmbox:15602): Gtk-WARNING **: A floating object was finalized. This means that someone
:(rhythmbox:15602): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GtkWidget'
:(rhythmbox:15602): Gtk-CRITICAL **: gtk_grid_attach: assertion `GTK_IS_WIDGET (child)' failed
Comment 1 Torsten Ebbecke 2012-07-30 23:45:05 EDT
Created attachment 601417 [details]
File: backtrace
Comment 2 Torsten Ebbecke 2012-07-30 23:45:09 EDT
Created attachment 601418 [details]
File: maps
Comment 3 Torsten Ebbecke 2012-07-30 23:45:12 EDT
Created attachment 601419 [details]
File: dso_list
Comment 4 Torsten Ebbecke 2012-07-30 23:45:15 EDT
Created attachment 601420 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 16:40:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 16:52:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.